package sentio

type Order interface {
	Market() string
	AccountId() string

	GetId() string
	GetSymbol() string
	GetAction() OrderAction
	GetTimeInForce() TimeInForce
	GetSize() int
	GetPrice() float64
	GetCurrency() string
	GetStatus() string
}
