package main

import "time"

type ClockFixed struct {
	fix time.Time
}

func (t ClockFixed) Now() time.Time {
	return t.fix.In(time.UTC)
}

func (t ClockFixed) After(d time.Duration) <-chan time.Time {
	return time.After(d)
}
